Package org.opentcs.data.model.visualization

# Class ImageData

java.lang.Object
org.opentcs.data.model.visualization.ImageData

All Implemented Interfaces:
  `java.io.Serializable`

    @Deprecated
    @ScheduledApiChange(details="Will be removed.",
                        when="6.0")
    public class ImageData
    extends java.lang.Object
    implements java.io.Serializable

Deprecated.
Will be removed.
Generic image data that can be stored along with a layout.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ImageData()` | Deprecated. Creates a new ImageData.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getContent()` | Deprecated. Returns the binary data describing the actual image.
  `java.lang.String` | `getContentFormat()` | Deprecated. Returns the content type/format of this image.
  `java.lang.String` | `getLabel()` | Deprecated. Returns a label/name for this image.
  `void` | `setContent​(byte[] content)` | Deprecated. Sets the binary data describing the actual image.
  `void` | `setContentFormat​(java.lang.String contentFormat)` | Deprecated. Sets this image's content type/format.
  `void` | `setLabel​(java.lang.String label)` | Deprecated. Sets a label/name for this image.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImageData

    public ImageData()
    Deprecated.
    Creates a new ImageData.

- ## Method Details

  - ### getContent

    public byte[] getContent()
    Deprecated.
    Returns the binary data describing the actual image.
    Returns:
      The binary data describing the actual image.

  - ### setContent

    public void setContent​(byte[] content)
    Deprecated.
    Sets the binary data describing the actual image.
    Parameters:
      `content` - The new binary data.

  - ### getContentFormat

    public java.lang.String getContentFormat()
    Deprecated.
    Returns the content type/format of this image. Examples for possible values: "SVG", "WMF", "PNG", "JPEG".
    Returns:
      The type of this image.

  - ### setContentFormat

    public void setContentFormat​(java.lang.String contentFormat)
    Deprecated.
    Sets this image's content type/format.
    Parameters:
      `contentFormat` - The new type/format.

  - ### getLabel

    public java.lang.String getLabel()
    Deprecated.
    Returns a label/name for this image.
    Returns:
      A label/name for this image.

  - ### setLabel

    public void setLabel​(java.lang.String label)
    Deprecated.
    Sets a label/name for this image.
    Parameters:
      `label` - The new label.